# [WireGuard](https://www.wireguard.com/) for iOS and macOS

This project contains an application for iOS and for macOS, as well as many components shared between the two of them. You may toggle between the two platforms by selecting the target from within Xcode.

## Building

- Clone this repo:

```
$ git clone https://git.bubblev.org/bubblev/bubble-apple
$ cd bubble-apple
```

- Install go 1.14.7 - latest version 1.15 not yet supported

```
cd $(brew --repository)/Library/Taps/homebrew/homebrew-core
git checkout f10c416ce36f78d2a30d4548c578032244c96643
HOMEBREW_NO_AUTO_UPDATE=1 brew install go
brew pin go
```

- Install swiftlint

```
$ brew install swiftlint
```

- Open project in Xcode:

```
$ open ./WireGuard/WireGuard.xcworkspace
```

- Oprionaly you can create a file with credentials for log in testing, so you don't need to enter them each time

```
$ vim ./WireGuard/Bubble/Shared/TestCredentials/credentials.json
```
and use following format:
```
{
"username": "username",
"password": "password",
}
```

## Switching between AppStore/Xcode instances of the app

We need to reset our network extension, because it gets cached, and different instances of the app can't determine which one belongs to whom:
```
./remove_pluginkit_extensions.sh
```
Then restart your mac

## MIT License

Permission is hereby granted, free of charge, to any person obtaining a copy of
this software and associated documentation files (the "Software"), to deal in
the Software without restriction, including without limitation the rights to
use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
of the Software, and to permit persons to whom the Software is furnished to do
so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
