// SPDX-License-Identifier: AGPL-3.0-only
// Copyright © 2020 Bubble, Inc. All Rights Reserved.

import Foundation
import SwiftyUserDefaults

extension DefaultsKeys {
    var termsAccepted: DefaultsKey<Bool> { .init(#function, defaultValue: false) }
    var deviceIDsToBeDeleted: DefaultsKey<[String]> { .init(#function, defaultValue: []) }
    var settingsBundleHostname: DefaultsKey<String> { .init(#function, defaultValue: "") }
    #if os(macOS)
    var installedRootCert: DefaultsKey<Data?> { .init(#function) }
    #endif
}
