// SPDX-License-Identifier: AGPL-3.0-only
// Copyright © 2020 Bubble, Inc. All Rights Reserved.

import Foundation

protocol CodableLastDefault: Codable & CaseIterable & RawRepresentable
where RawValue: Codable, AllCases: BidirectionalCollection { }

extension CodableLastDefault {
    init(from decoder: Decoder) throws {
        self = try Self(rawValue: decoder.singleValueContainer().decode(RawValue.self)) ?? Self.allCases.last!
    }
}
