// SPDX-License-Identifier: AGPL-3.0-only
// Copyright © 2020 Bubble, Inc. All Rights Reserved.

import Foundation

extension String {
    mutating func insert(_ newElement: Character, at i: Int) {
        insert(newElement, at: index(startIndex, offsetBy: i))
    }
    
    subscript(i: Int) -> Character {
        get {
            return self[index(at: i)]
        }
        set {
            replaceSubrange(index(at: i)..<index(at: i + 1), with: String(newValue))
        }
    }
    
    subscript(bounds: ClosedRange<Int>) -> SubSequence {
        self[index(at: bounds.lowerBound)...index(at: bounds.upperBound)]
    }
    
    func index(at i: Int) -> Index {
        index(startIndex, offsetBy: i)
    }
    
    @discardableResult mutating func remove(at i: Int) -> Character {
        remove(at: index(at: i))
    }
}
