// SPDX-License-Identifier: AGPL-3.0-only
// Copyright © 2020 Bubble, Inc. All Rights Reserved.

import Foundation

extension URL {
    init?(sslSafe string: String, forcePort port: Int? = nil) {
        guard var comps = URLComponents(string: string) else { return nil }
        switch comps.scheme {
        case "https": break
            
        case "http":
            comps.scheme = "https"
            
        default:
            guard let newComps = URLComponents(string: "https://" + string) else { return nil }
            comps = newComps
        }
        if let port = port {
            comps.port = port
        }
        guard comps.host?.isEmpty == false, let result = comps.string else { return nil }
        self.init(string: result)
    }
}
