#!/bin/sh

iosScripts=(
	r.swift.sh
)
commonScripts=(
	swiftlint.sh
	copyTestCredentials.sh
	extractWireguardGoVersion.sh
)

function runScripts() {
	scripts=("$@")
	for script in "${scripts[@]}";
		do
			echo "\nRunning ${script}\n" 
			sh "${SCRIPTS_DIR}/${script}"
		done
}

case "${DEPLOYMENT_TARGET_SETTING_NAME}" in
	("IPHONEOS_DEPLOYMENT_TARGET") 
		runScripts "${iosScripts[@]}"
		;;
	("MACOSX_DEPLOYMENT_TARGET")
		;;
	(*) echo echo "DEPLOYMENT_TARGET_SETTING_NAME ${DEPLOYMENT_TARGET_SETTING_NAME} unsupported"; return -1 ;;
esac
runScripts "${commonScripts[@]}"