// SPDX-License-Identifier: AGPL-3.0-only
// Copyright © 2020 Bubble, Inc. All Rights Reserved.

import Foundation

class XPCServer: NSObject {
    
    internal static let shared = XPCServer()
    
    private var listener: NSXPCListener?
    
    internal func start() {
        listener = NSXPCListener(machServiceName: FlexrouterConstants.helperMachLabel)
        listener?.delegate = self
        listener?.resume()
    }
}

extension XPCServer: NSXPCListenerDelegate {
    
    func listener(_ listener: NSXPCListener, shouldAcceptNewConnection newConnection: NSXPCConnection) -> Bool {
        let installer = InstallerImplementation()
        newConnection.exportedInterface = NSXPCInterface(with: Installer.self)
        newConnection.exportedObject = installer
        newConnection.remoteObjectInterface = NSXPCInterface(with: InstallationClient.self)
        newConnection.resume()
        installer.client = newConnection.remoteObjectProxy as? InstallationClient        
        return true
    }
}
