// SPDX-License-Identifier: AGPL-3.0-only
// Copyright © 2020 Bubble, Inc. All Rights Reserved.

import Foundation
import AppKit

// R.swift doesn't support generation code for macos, this file is created manualy to support shared codebase

enum R {
    enum color {
        static func disabledButtonOverlay() -> Color? {
            Color(named: #function.prefixTilBracket)
        }
        
        static func error() -> Color? {
            Color(named: #function.prefixTilBracket)
        }
        
        static func textFieldPlaceholder() -> Color? {
            Color(named: #function.prefixTilBracket)
        }
        
        static func textFieldBorder() -> Color? {
            Color(named: #function.prefixTilBracket)
        }
        
        static func textFieldBackground() -> Color? {
            Color(named: #function.prefixTilBracket)
        }
        
        static func loginBackground() -> Color? {
            Color(named: #function.prefixTilBracket)
        }
        
        static func networkUnavailable() -> Color? {
            Color(named: #function.prefixTilBracket)
        }
        
        static func networkAvailable() -> Color? {
            Color(named: #function.prefixTilBracket)
        }
        
        static func connectingBackground() -> Color? {
            Color(named: #function.prefixTilBracket)
        }
        
        static func noBubbleBackground() -> Color? {
            Color(named: #function.prefixTilBracket)
        }
        
        static func gryText() -> Color? {
            Color(named: #function.prefixTilBracket)
        }
    }
    enum font {
        static func latoBold(size: CGFloat) -> NSFont? {
            NSFont(name: "Lato-Bold", size: size)
        }
    }
    enum file {
        static func bubbleStartingAnimationJson() -> URL? {
            Bundle.main.url(forResource: "bubbleStartingAnimation", withExtension: "json")
        }
        
        static func connectingAnimationJson() -> URL? {
            Bundle.main.url(forResource: "connectingAnimation", withExtension: "json")
        }
        
        static func connectedAnimationJson() -> URL? {
            Bundle.main.url(forResource: "connectedAnimation", withExtension: "json")
        }
        
        static func noBubbleAnimationJson() -> URL? {
            Bundle.main.url(forResource: "noBubbleAnimation", withExtension: "json")
        }
        
        static func appPrivacyHtml() -> URL? {
            Bundle.main.url(forResource: "app_privacy", withExtension: "html")
        }
    }
}

extension String {
    fileprivate var prefixTilBracket: String {
        guard let index = firstIndex(of: "(") else { return self }
        return .init(prefix(upTo: index))
    }
}
