// SPDX-License-Identifier: AGPL-3.0-only
// Copyright © 2020 Bubble, Inc. All Rights Reserved.

import Cocoa

protocol AlertButtons: CaseIterable, Equatable {
    var title: String { get }
}

extension NSAlert {
    func runModal<Buttons>(buttonsType: Buttons.Type) -> Buttons where Buttons: AlertButtons {
        buttonsType.allCases.forEach {
            addButton(withTitle: $0.title)
        }
        let index = runModal().rawValue - NSApplication.ModalResponse.alertFirstButtonReturn.rawValue
        return buttonsType.allCases[index as! Buttons.AllCases.Index] //swiftlint:disable:this force_cast
    }
}
