// SPDX-License-Identifier: AGPL-3.0-only
// Copyright © 2020 Bubble, Inc. All Rights Reserved.

import Cocoa

extension NSWindow {
    func setStaticSize(_ size: CGSize) {
        let titleBarHeight = frame.height - contentRect(forFrameRect: frame).height
        var size = size
        size.height -= titleBarHeight
        minSize = size
        maxSize = size
        contentMaxSize = size
        contentMinSize = size
        setContentSize(size)
    }
}

extension CGSize {
    static let appSize = CGSize(width: 815, height: 657)
    
    static func * (lhs: CGSize, rhs: CGFloat) -> CGSize {
        .init(width: lhs.width * rhs, height: lhs.height * rhs)
    }
}
