// SPDX-License-Identifier: AGPL-3.0-only
// Copyright © 2020 Bubble, Inc. All Rights Reserved.

import Cocoa

extension NSWindowController {
    static func controllerFromNib() -> Self {
        Self.init(windowNibName: NSNib.Name(stringLiteral: String(describing: self)))
    }
}

extension NSViewController {
    static func controllerFromNib() -> Self {
        Self.init(nibName: NSNib.Name(stringLiteral: String(describing: self)), bundle: .main)
    }
}
