// SPDX-License-Identifier: AGPL-3.0-only
// Copyright © 2020 Bubble, Inc. All Rights Reserved.

import Cocoa
import WebKit

class AppPrivacyWindowController: NSWindowController {
    @IBOutlet private var webView: WKWebView!
    @IBOutlet private var continueButton: NSButton!

    override func windowDidLoad() {
        super.windowDidLoad()
        window?.setStaticSize(.appSize * 0.95)
        window?.preventsApplicationTerminationWhenModal = false
        webView.loadFileURL(R.file.appPrivacyHtml()!, allowingReadAccessTo: R.file.appPrivacyHtml()!)
    }
    
    @IBAction func agreedPress(_ sender: NSButton) {
        continueButton.isEnabled = sender.state == .on
    }
    
    @IBAction func continuePress(_ sender: Any) {
        window?.sheetParent?.endSheet(window!, returnCode: .OK)
    }
}
