// SPDX-License-Identifier: AGPL-3.0-only
// Copyright © 2020 Bubble, Inc. All Rights Reserved.

import Cocoa
import SwiftyUserDefaults

class PreferencesWindowController: NSWindowController {
    @IBOutlet var settingsBundleHostnameTextView: LoginTextField!
    
    override func windowDidLoad() {
        super.windowDidLoad()
        settingsBundleHostnameTextView.text = Defaults.settingsBundleHostname
        updateErrorStatus()
        settingsBundleHostnameTextView.delegate = self
    }
    
    private func updateErrorStatus() {
        let hostname = settingsBundleHostnameTextView.text
        settingsBundleHostnameTextView.isError =
            !hostname.isEmpty &&
            URL(sslSafe: hostname) == nil
    }
}

extension PreferencesWindowController: NSTextFieldDelegate {
    func controlTextDidChange(_ obj: Notification) {
        Defaults.settingsBundleHostname = settingsBundleHostnameTextView.text
        updateErrorStatus()
    }
}
