#!/bin/bash
#
# Removes the Bubble pluginkit extensions.
#
# Run this when switching between running the app in development mode (from XCode) and running the app
# via installation from the Mac OS App Store.
#
# If you don't run this and try to switch apps (from XCode to App Store or vice versa), you'll get
# an error when trying to connect to your Bubble.
#

if [[ $(whoami) != "root" ]] ; then
  echo "Running with sudo..."
  sudo ${0}
  exit $?
fi

EXTENSION_PATH=/Contents/PlugIns/BubbleNetworkExtension.appex
REGEX=".+	([^	]+)$EXTENSION_PATH"
IFS=$'\n'
APP_PATHS=($(pluginkit -v -m -D -i com.bubble.bubble-vpn.network-extension | grep -E "$REGEX" | sed -E "s|$REGEX|\1|"))
for APP_PATH in "${APP_PATHS[@]}"; do
  pluginkit -r "$APP_PATH$EXTENSION_PATH" && echo "pluginkit removed extension: $APP_PATH"
  rm -rf "$APP_PATH" && echo "removed app: $APP_PATH"
done

echo "Extensions removed - Reboot your computer before running Bubble again"
